BEGIN {
	number = 0;
	enum_name = "the_enum";
}

/^#/ || /^[ 	]*$/ {
	next;
}

/^ENUM/ {
	enum_name = $2;
	next;
}

NF <= 2 { 
	enum[number++] = $1;
}

END {
	printf("enum %s {\n", enum_name);
	for (i = 0; i < number; i++)
		printf("\t%s,\n", enum[i]);
	printf("}; /* enum %s */\n", enum_name);
}
	
